Package com.evopdf

# Class ProxyOptions

java.lang.Object
com.evopdf.ProxyOptions

public class ProxyOptions extends Object
This class represents the various proxy settings that can be used to resolve the requests

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProxyOptions()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String[]`
  `bypassedHosts()`
  Gets the hosts to be accessed directly without a proxy
  `String`
  `hostName()`
  Gets the host name of the proxy host
  `String`
  `password()`
  Gets the password used for authentication
  `int`
  `portNumber()`
  Gets the port number of the proxy host to be used when accessing a HTML document
  `void`
  `setBypassedHosts(String[] bypassedHosts)`
  Sets the hosts to be accessed directly without a proxy
  `void`
  `setHostName(String hostName)`
  Sets the host name of the proxy host
  `void`
  `setPassword(String password)`
  Sets the password used for authentication
  `void`
  `setPortNumber(int portNumber)`
  Sets the port number of the proxy host to be used when accessing a HTML document
  `void`
  `setType(NetworkProxyType proxyType)`
  Sets the proxy type
  `void`
  `setUsername(String username)`
  Sets the user name used for authentication
  `NetworkProxyType`
  `type()`
  Gets the proxy type
  `String`
  `username()`
  Gets the user name used for authentication

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ProxyOptions

    public ProxyOptions()

- ## Method Details

  - ### type

    public NetworkProxyType type()
    Gets the proxy type
    Returns:
      the proxy type

  - ### setType

    public void setType(NetworkProxyType proxyType)
    Sets the proxy type
    Parameters:
      `proxyType` - the proxy type

  - ### hostName

    public String hostName()
    Gets the host name of the proxy host
    Returns:
      the host name of the proxy host

  - ### setHostName

    public void setHostName(String hostName)
    Sets the host name of the proxy host
    Parameters:
      `hostName` - the host name of the proxy host

  - ### portNumber

    public int portNumber()
    Gets the port number of the proxy host to be used when accessing a HTML document
    Returns:
      the port number of the proxy host to be used when accessing a HTML document

  - ### setPortNumber

    public void setPortNumber(int portNumber)
    Sets the port number of the proxy host to be used when accessing a HTML document
    Parameters:
      `portNumber` - the port number of the proxy host to be used when accessing a HTML document

  - ### username

    public String username()
    Gets the user name used for authentication
    Returns:
      the user name used for authentication

  - ### setUsername

    public void setUsername(String username)
    Sets the user name used for authentication
    Parameters:
      `username` - the user name used for authentication

  - ### password

    public String password()
    Gets the password used for authentication
    Returns:
      the password used for authentication

  - ### setPassword

    public void setPassword(String password)
    Sets the password used for authentication
    Parameters:
      `password` - the password used for authentication

  - ### bypassedHosts

    public String[] bypassedHosts()
    Gets the hosts to be accessed directly without a proxy
    Returns:
      the hosts to be accessed directly without a proxy

  - ### setBypassedHosts

    public void setBypassedHosts(String[] bypassedHosts)
    Sets the hosts to be accessed directly without a proxy
    Parameters:
      `bypassedHosts` - the hosts to be accessed directly without a proxy